package com.bytedance.android.livesdk.model.message;

import X.C3553GuA;
import X.C4453HKs;
import com.bytedance.android.live.base.model.user.User;
import com.bytedance.covode.number.Covode;
import com.google.gson.a.c;

public class DiggMessage extends C3553GuA {
    @c(LIZ = "digg_count")
    public int LIZ;
    @c(LIZ = "duration")
    public int LIZIZ;
    @c(LIZ = "color")
    public int LIZJ;
    @c(LIZ = "user")
    public User LIZLLL;
    @c(LIZ = "icon")
    public String LJ;

    static {
        Covode.recordClassIndex(19028);
    }

    public DiggMessage() {
        this.LJJIL = C4453HKs.DIGG;
    }

    public final boolean LIZIZ() {
        if (this.LIZLLL != null) {
            return true;
        }
        return false;
    }

    public final boolean LIZ() {
        if (this.LJJJJ == null || this.LJJJJ.LJIIIZ == null) {
            return false;
        }
        return true;
    }
}
